For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve partner reseller list

Use this method to retrieve a list of resellers defined and stored for one of your partners.

Requirements

This method requires you to set a specific partner using setPartner.

Request parameters

Parameter
Type / Description

sessionID

Required (string) Session identifier, which is the output of the Login method. An exception will be thrown if the values are incorrect.

Request sample

<?php

require('PATH_TO_AUTH'); // Authentication example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/02Authentication
require('PATH_TO_setPartner'); // setPartner example: https://knowledgecenter.avangate.com/Integration/Channel_Manager_API/SOAP/06Reference/Partner/00Set_partner

try {
    $Resellers= $client->getPartnerResellers ($sessionID);
} catch (SoapFault $e) {
    Echo "AllResellers: " . $e->getMessage();
    exit;
}
var_dump ("AllResellers ", $Resellers);

Response parameters

Parameter
Type

Array of reseller objects.

Errors

Error
Description

NOT_FOUND_PARTNER

Set a partner before calling this method.

Last updated

Was this helpful?